# Copyright (c) 2022，Horizon Robotics.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from launch import LaunchDescription
from launch_ros.actions import Node


def generate_launch_description():
    return LaunchDescription([
        # 启动图片发布pkg
        Node(
            package='rgbd_sensor',
            executable='rgbd_sensor',
            output='screen',
            parameters=[
                {"camera_calibration_file_path": "/opt/tros/lib/rgbd_sensor/config/CP3AM_calibration.yaml"},
                {"io_method": "ros"}
            ],
            arguments=['--ros-args', '--log-level', 'error']
        )
    ])
